> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List environments

> Lists all environments for the workspace associated with the Management API key.



## OpenAPI

````yaml reference/management-api_2025-11-20.json GET /environments
openapi: 3.0.0
info:
  title: Management API
  description: >-
    Managment API allows you to manage your Fingerprint account and applications
    programmatically from a server environment.
  version: '2025-11-20'
  contact: {}
servers:
  - url: https://management-api.fpjs.io
security:
  - Management-API-key: []
tags: []
paths:
  /environments:
    get:
      tags:
        - environments
      summary: List environments
      description: >-
        Lists all environments for the workspace associated with the Management
        API key.
      operationId: EnvironmentController_findAllV2
      parameters:
        - name: cursor
          required: false
          in: query
          description: >-
            Cursor token used for pagination. Response will contain items
            appearing after the given cursor.
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Sets the maximum number of items contained in a single page.
          schema:
            minimum: 0
            maximum: 101
            default: 10
            type: number
        - name: X-API-Version
          in: header
          description: Management API version.
          example: '2025-11-20'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of environments matching the given query.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvironmentsPaginatedResponseDtoV2'
        '401':
          description: 'Error: Invalid API key.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
        '429':
          description: 'Error: API key has exceeded its rate limit.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
components:
  schemas:
    EnvironmentsPaginatedResponseDtoV2:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EnvironmentResponseDtoV1'
        metadata:
          $ref: '#/components/schemas/PaginationMetadataV2'
      required:
        - data
        - metadata
    ApiExceptionDto:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/BaseApiExceptionDto'
      required:
        - error
    EnvironmentResponseDtoV1:
      type: object
      properties:
        id:
          type: string
          description: Auto-generated ID for an environment
          example: ae_rrETjdWcfqI6AFsk
        name:
          type: string
          description: Environment name
          example: Default environment
        description:
          type: string
          description: Environment description
          example: Production environment
        limit_mode:
          type: string
          description: Environment limit mode
          enum:
            - none
            - restrict
            - notify
        limit_value:
          type: number
          description: Environment limit value
          example: 100000
        is_restricted:
          type: boolean
          description: Whether the environment is restricted
          example: false
        restricted_at:
          type: string
          description: Date when environment was restricted
          example: '2024-05-31T01:24:39.506Z'
        created_at:
          type: string
          description: Date when environment was created
          example: '2024-05-31T01:24:39.506Z'
        updated_at:
          type: string
          description: Date when environment was last updated
          example: '2024-05-31T01:24:39.506Z'
      required:
        - id
        - name
        - is_restricted
        - created_at
        - updated_at
    PaginationMetadataV2:
      type: object
      properties:
        pagination:
          description: Object containing pagination metadata.
          allOf:
            - $ref: '#/components/schemas/PaginationDataV2'
      required:
        - pagination
    BaseApiExceptionDto:
      type: object
      properties:
        message:
          type: string
          description: Verbal description of the error.
        code:
          type: string
          description: Error code.
      required:
        - message
        - code
    PaginationDataV2:
      type: object
      properties:
        next_cursor:
          type: string
          nullable: true
          description: Cursor token to be used to get the next page of results.
          example: eyJrZXlzIjpbImlkIl0sInZhbHVlcyI6WyJhZV9JRVdWQVhrQURyN3BiNFYzI
        prev_cursor:
          type: string
          nullable: true
          description: Cursor token used to get the previous page of results.
          example: null
      required:
        - next_cursor
        - prev_cursor
  securitySchemes:
    Management-API-key:
      scheme: bearer
      bearerFormat: JWT
      type: http

````